Package org.apache.tomcat.dbcp.dbcp2

## Class ListException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.tomcat.dbcp.dbcp2.ListException

All Implemented Interfaces:
  `Serializable`

    public class ListException
    extends Exception

An exception wrapping a list of exceptions.

Since:
  2.4.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ListException​(String message, List<Throwable> exceptionList)` Constructs a new exception with the specified detail message.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Throwable>` `getExceptionList()` Gets the list of exceptions.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListException

    public ListException​(String message,
                         List<Throwable> exceptionList)

Constructs a new exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
  `exceptionList` - a list of exceptions.

### Method Detail

#### getExceptionList

    public List<Throwable> getExceptionList()

Gets the list of exceptions.

Returns:
  the list of exceptions.